	byte bb(704*576+2880)
	character*30 f1
	integer*2 map(704*576)
	i=iargc()
	if(i.eq.0)then
	  write(*,*)
	  write(*,*)'      pcstar file.fits'
	  write(*,*)
	  stop
	endif
        call getarg(1,f1)
	open(1,file=f1,status='old',recl=704*576+2880)
	read(1,rec=1)bb
	close(1)
        do 10 i=1,704*576
	map(i)=bb(i+2880)
10      if(map(i).lt.0)map(i)=map(i)+256
	call pgbegin(0,'/xw',1,1 )
        call pgpap(8.5,0.8)
        call pgsci(0)
        call pgenv(1.,704.,1.,576.,0,0)
	call pgxgray(map,704,576,1,704,1,576,255.,0.,1)
	call pgend
	end

